
QGIS Application - Bug report #14882

Selecting from map using relation reference widget crashes QGIS

2016-05-24 10:43 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22835

Description

In latest master selecting a feature from the map using the relation reference widget causes a crash

Associated revisions

Revision f8dccf87 - 2016-06-06 02:09 PM - Matthias Kuhn 

Fix on map identification on relation reference widget with complex PK

References #14882

Revision bd3d1c48 - 2016-07-11 03:23 PM - Matthias Kuhn 

Fix on map identification on relation reference widget with complex PK

References #14882

History

#1 - 2016-06-06 05:11 AM - Matthias Kuhn

- Status changed from Open to Feedback

I tried to fix this but couldn't get it to crash but at least found another issue to fix where it didn't work with non-integer primary keys.

#2 - 2016-06-06 10:32 PM - Nyall Dawson

I think it was probably fixed by commit:384a280

#3 - 2016-06-06 10:32 PM - Nyall Dawson

- Status changed from Feedback to Closed

#4 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
